Name:           scisoft-cloudy
Version:        13.05
Release:        3%{?dist}
Summary:        Spectral synthesis code to simulate conditions in interstellar matter
Distribution:   Scisoft
Group:          Applications/Engineering
License:        BSD
URL:            http://www.nublado.org/



#Source0:        https://data.nublado.org/cloudy_releases/c13/c13.05.tar.gz
Source0:         http://w4n.hq.eso.org/sci/software/esomidas/sources/other/c13.05.tar.gz 

BuildRequires:  perl-generators
Provides:       cloudy

%description
Most of the quantitative information we have about the cosmos comes from
spectroscopy. In many cases the light we analyze was produced by atoms in
the first generations of stars and galaxies.  The spectra are produced by
dilute gas where such properties as the gas kinetic temperature, chemical
state, level of ionization, and level populations, are determined by a
host of microphysical processes rather than by a single temperature.
Analytical solutions are seldom possible and computer solutions are
needed to understand their physical properties. Numerical simulations make
it possible to understand complex physical environments starting from
first principles. Cloudy is designed to do exactly this.

%package data
Summary: data for Cloudy
BuildArch: noarch

%description data
This package contains the atomic data for Cloudy.

%package doc
Summary: Documentation for Cloudy
BuildArch: noarch

%description doc
This package contains the usage documentation for Cloudy.

%prep
%setup -q -n c%{version}
rm data/chianti/mn/mn_8/.meo.swp

%build
cd source
make %{?_smp_mflags} CXX="%{__cxx}" CXXFLAGS="%{optflags}" \
    CLOUDY_DATA_PATH=%{_datadir}/%{name}/data/

%install
install -m 755 -d %{buildroot}/%{_bindir}
install -m 755 -d %{buildroot}/%{_datadir}/%{name}/scripts
install -m 755 -d %{buildroot}/%{_datadir}/%{name}/grain
install -m 755 source/cloudy.exe %{buildroot}/%{_bindir}
cp -a data/ %{buildroot}/%{_datadir}/%{name}/
rm -rf %{buildroot}/%{_datadir}/%{name}/data/cdms+jpl/convert_calpgm
rm -rf %{buildroot}/%{_datadir}/%{name}/data/cdms+jpl/convert_calpgm.cpp
rm -rf %{buildroot}/%{_datadir}/%{name}/data/cdms+jpl/.gitignore

%check
echo "test" > test.in
export CLOUDY_DATA_PATH="%{buildroot}/%{_datadir}/%{name}/data/"
%{buildroot}/%{_bindir}/cloudy.exe -r test

%files
%license license.txt
%doc readme.txt
%{_bindir}/*

%files data
%doc data/readme_data.htm data/readme_LineList_dat.txt
%{_datadir}/%{name}

%files doc
%license license.txt
%doc docs/*

%changelog
* Fri Feb 23 2018 Artur Szostak <aszostak@partner.eso.org> 3.72
- Integrated into automated build system.
- Updated with improvements from Fedora 27 version of cloudy's Specfile.

* Tue Oct 18 2016 Artur Szostak <aszostak@partner.eso.org> 13.04-1
- Updating to new version 13.04 that actually builds on Fedora 24.

* Fri Oct 18 2013 Carlos Guirao
- Integration for scisoft 8
